selfService

# Procedural File: selfService.inc Source Location: /lib/selfService.inc ## Classes: selfServiceProfile Includes all settings of a self service profile. ## Page Details: Interface between modules and self service pages. This file also includes the self service profile class and helper functions. #### Tags:
author: | Roland Gruber
#### Includes: include_once("modules.inc") [line 34] modules include_once("types.inc") [line 36] account types ### checkSelfServiceOptions [line 116]
`array checkSelfServiceOptions( string $scope, string $fields, array $attributes)`
Checks if all input values are correct and returns the LDAP commands which should be executed. #### Tags:
return: | messages and LDAP commands (array('messages' => array(), 'add' => array(), 'del' => array(), 'mod' => array()))
#### Parameters
string | $scope | account type
string | $fields | input fields (array(<moduleName> => array(<field1>, <field2>, ...)))
array | $attributes | LDAP attributes
[ Top ] ### checkSelfServiceSettings [line 238]
`array checkSelfServiceSettings( string $scope, array $options)`
Checks if the self service settings are valid #### Tags:
return: | list of error messages
#### Parameters
string | $scope | account type
array | $options | hash array containing all options (name => array(...))
[ Top ] ### getSelfServiceFieldSettings [line 75]
`array getSelfServiceFieldSettings( string $scope)`
Returns the field settings for the self service. #### Tags:
return: | settings
#### Parameters
string | $scope | account type
[ Top ] ### getSelfServiceOptions [line 95]
`array getSelfServiceOptions( string $scope, array $fields, array $attributes)`
Returns meta HTML code for each self service field. #### Tags:
return: | meta HTML code (array(<moduleName> => array(<field1> => array(<meta HTML>))))
#### Parameters
string | $scope | account type
array | $fields | input fields (array(<moduleName> => array(<field1>, <field2>, ...)))
array | $attributes | LDAP attributes (attribute names in lower case)
[ Top ] ### getSelfServiceProfiles [line 137]
`array getSelfServiceProfiles( )`
Returns a list of all available self service profiles (without .conf) #### Tags:
return: | profile names (array(<account type> => array(<profile1>, <profile2>, ...)))
[ Top ] ### getSelfServiceSearchAttributes [line 55]
`array getSelfServiceSearchAttributes( string $scope)`
Returns a list of possible search attributes for the self service. #### Tags:
return: | attributes
#### Parameters
string | $scope | account type
[ Top ] ### getSelfServiceSettings [line 221]
`array getSelfServiceSettings( string $scope)`
Returns a hash array (module name => elements) of all module options for the configuration page. #### Tags:
return: | configuration options
#### Parameters
string | $scope | account type
[ Top ] ### isLAMProVersion [line 43]
`boolean isLAMProVersion( )`
Returns if this is a LAM Pro installation. #### Tags:
return: | LAM Pro installation
[ Top ] ### loadSelfServiceProfile [line 161]
`selfServiceProfile loadSelfServiceProfile( string $name, string $scope)`
Loads all settings of a self service profile. #### Tags:
return: | true if file was readable
#### Parameters
string | $name | profile name
string | $scope | account type
[ Top ] ### saveSelfServiceProfile [line 194]
`boolean saveSelfServiceProfile( string $name, string $scope, selfServiceProfile $profile)`
Saves a self service profile. File is created, if needed #### Tags:
return: | true, if saving succeeded
#### Parameters
string | $name | name of the account profile
string | $scope | account type
selfServiceProfile | $profile | self service profile
[ Top ] Documentation generated on Thu, 07 Feb 2008 20:26:55 +0100 by phpDocumentor 1.4.0